

\documentclass{ctexart}
\usepackage{magicwatermark}
\PageSetup[
  rotate = 30, % 设置旋转角度
  color = red!80, % 设置水印内容颜色
  scale = 6 % 设置比例
]{
  水印内容
}
\Watermark % 全文生效
\begin{document}
...
\end{document}
\end{lstlisting}
\documentclass{ctexart}
\usepackage{magicwatermark}
\EvenPageSetup[color=cyan,showframe,scale=4]{偶数页} % 设置奇数页
\OddPageSetup[color=purple,showframe,scale=4]{奇数页} % 设置偶数页
\EvenWatermark % 显示水印
\OddWatermark
\begin{document}
...
\end{document}
\end{lstlisting}
\documentclass{ctexart}
\usepackage{magicwatermark}
\PageSetup*{
  \begin{tikzpicture}[remember picture,overlay]
    \node[cyan,scale = 2,shift={(-1,-1)}] at
    (current page.north east){--~\thepage~--};
  \end{tikzpicture}
}
\begin{document}
...
\Watermark % 该命令之前不生效
\end{document}
\end{lstlisting}
\documentclass{ctexart}
\usepackage{magicwatermark}
\NewWatermark{one} % 新建两个水印
\NewWatermark{two}
\MyPageSetup[scale=5,color=blue]{one}{水印内容一} % 设置水印
\MyPageSetup[scale=5,color=red]{two}{水印内容二}
\begin{document}
\MyWatermark{one} % 使用第一个水印
...
\newpage
\ClearWatermark{one} % 清除第一个水印
\MyWatermark{two} % 使用第二个水印
...
\end{document}
\end{lstlisting}
